# $Revision: 1.7.2.5 $, $Date: 2007/10/22 12:20:27 $
Summary:	Desktop notifications library
Summary(pl):	Biblioteka powiadomie dla pulpitu
Name:		libnotify
Version:	0.4.4
Release:	2
License:	LGPL v2.1+ (library), GPL v2+ (tools)
Group:		Libraries
Source0:	http://www.galago-project.org/files/releases/source/libnotify/%{name}-%{version}.tar.bz2
# Source0-md5:	0a739819b907fd8ec79a9bc9dbcb42c1
URL:		http://www.galago-project.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	glib2-devel >= 1:2.6.0
# GTK+2 >= 2.10 would be better, but Ac doesn't provide it
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	dbus-glib >= 0.60
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library that sends desktop notifications to a notification daemon,
as defined in the Desktop Notifications spec. These notifications can
be used to inform the user about an event or display some form of
information without getting in the user's way.

%description -l pl
Biblioteka wysyajca powiadomienia dla pulpitu do demona powiadomie
zgodnie ze specyfikacj Desktop Notifications. Powiadomienia te mog
by uywane do informowania uytkownika o zdarzeniu lub wywietlania
jakiej formy informacji bez wchodzenia uytkownikowi w drog.

%package apidocs
Summary:	libnotify API documentation
Summary(pl):	Dokumentacja API biblioteki libnotify
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libnotify API documentation.

%description apidocs -l pl
Dokumentacja API biblioteki libnotify.

%package devel
Summary:	libnotify header files
Summary(pl):	Pliki nagwkowe biblioteki libnotify
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.60
Requires:	glib2-devel >= 1:2.6.0
Requires:	gtk+2-devel >= 2:2.6.0

%description devel
Header files for libnotify-based programs development.

%description devel -l pl
Pliki nagwkowe do tworzenia programw opartych o libnotify.

%package static
Summary:	Static libnotify library
Summary(pl):	Statyczna biblioteka libnotify
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnotify library.

%description static -l pl
Statyczna biblioteka libnotify.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnotify.spec,v $
Revision 1.7.2.5  2007/10/22 12:20:27  glen
- rel 2

Revision 1.7.2.4  2007/04/08 20:52:16  qboosh
- glib2 epoch

Revision 1.7.2.3  2007/04/08 20:32:59  megabajt
- updated to 0.4.4
- fixed Group
- added apidocs subpackage

Revision 1.7.2.2  2006/05/18 22:14:21  baggins
- release 2
- strict reqs

Revision 1.7.2.1  2006/05/15 17:05:49  baggins
- merged from HEAD

Revision 1.10  2006/05/11 21:22:31  freetz
- 0.4.0, removed link patch (obsolete)

Revision 1.9  2006/04/07 14:15:24  freetz
- rel.2 for rebuild

Revision 1.8  2006/01/29 07:30:45  freetz
- 0.3.2

Revision 1.7  2005/10/12 17:52:07  patrys
- rel. up to 1

Revision 1.6  2005/10/10 18:15:10  qboosh
- added link patch (so -devel doesn't require popt-devel)
- library license is LGPL

Revision 1.5  2005/10/10 17:59:03  qboosh
- BR: dbus-glib-devel,popt-devel,pkgconfig; -devel R: dbus-glib-devel

Revision 1.4  2005/10/10 17:48:21  deejay1
- typo

Revision 1.3  2005/10/10 17:36:28  qboosh
- pl, separated -static

Revision 1.2  2005/10/06 20:49:47  patrys
- correct rights for binaries

Revision 1.1  2005/10/06 20:47:25  patrys
- add notification support for PLD
